#ifndef _LANZADORAPP_H
#define _LANZADORAPP_H

#include "DlgLanzador.h"

class LanzadorApp : public wxApp {
public:
    virtual bool OnInit();
    virtual void OnInitCmdLine(wxCmdLineParser& parser);
    virtual bool OnCmdLineParsed(wxCmdLineParser& parser);
    void LanzadorApp::Salir();
    void LanzadorApp::ImpTxt(wxString txt);
    void LanzadorApp::ImpTxt(wxTextAttr attr);
    void LanzadorApp::Compilar();
    int LanzadorApp::Ejecutar(wxString tit, wxString cmd);
    void LanzadorApp::ScrollInicio();
    wxLocale locale;
private:
    wxTextAttr attrCabecera;
    wxTextAttr attrTexto;
    wxTextAttr attrTextoNegrita;
    wxTextAttr attrTextoGris;
    wxTextAttr attrTextoRojo;
    wxFrame *frame;
    DlgLanzador *lanzador;
    bool glulx;
    bool debug;
    wxString fichero;
    wxString rutaEXE;
    wxString rutaInform;
    wxString rutaBRES;
    wxString rutaBLC;
    wxString rutaModulos;
};

DECLARE_APP(LanzadorApp)

#endif

